Summary: 	Desktop manager for the Xfce Desktop Environment
Name: 		xfdesktop
Version: 	4.2.1
Release: 	1mdk
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	xfce-menu-method.bz2
# (fc) 4.0.6-2mdk fix background dithering
Patch0:		xfdesktop-4.1.99.3-dither.patch.bz2
# (mpol) 4.1.99.1-4mdk use mdkmenu
Patch2:		xfdesktop-4.1.99.1-mdkmenu.patch.bz2
# (mpol) 4.2.0-4mdk define default backdrop
Patch3:		xfdesktop-4.2.0-backdrop.patch.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	mandrake_theme
Requires:	mandrake_desk
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	xfce-panel-devel

%description
Xfdesktop is a desktop manager for the Xfce Desktop Environment.

%prep
%setup -q
%patch0 -p1 -b .dither
%patch2 -p1 -b .mdkmenu
%patch3 -p1 -b .backdrop

# use www-browser
perl -pi -e 's#mozilla#www-browser#' menu.*

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot%_sysconfdir/menu-methods
bzcat %SOURCE1 > %buildroot%_sysconfdir/menu-methods/xfce4

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/mcs-plugins/backdrop_settings.a \
	%{buildroot}/%{_libdir}/xfce4/modules/xfce4_desktop_menu.a \
	%{buildroot}/%{_libdir}/xfce4/panel-plugins/libdesktopmenu.a

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/X11/xdg/*
%attr(755,root,root) %config(noreplace) %_sysconfdir/menu-methods/xfce4
%{_bindir}/*
%{_libdir}/xfce4/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/xfce4/*
%{_mandir}/man1/*

%changelog
* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- P3: define default backdrop
- use www-browser, require mandrake_desk

* Fri Feb 05 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-3mdk
- update menu-method to include icons
  Thanks to Roman Moravcik <morgan@pobox.sk>

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires xfce-panel-devel

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- rediff P0
- drop P1, merged upstream

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- disable P0 and P1

* Thu Nov 18 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-4mdk
- Patch2: use mandrake menu, disable xdg menu
- update menu-method to produce valid xml file

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1.99.1-3mdk
- Regenerate patch0 (and make Marcel happy :) 

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1.99.1-2mdk
- Patch1: fix UTF8 in desktop file

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- disable P0 for now
- update filelist

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0.6-2mdk
- Patch0: fix background dithering

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use makeinstall_std

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.0.1-4mdk
- add menu method
- autoconf2.5 macro

* Thu Nov 20 2003 Marcel Pol <mpol@gmx.net> 4.0.1-3mdk
- fix requires
- use real default background

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- buildrequires

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1
- sysconfdir = /etc/X11
- change default backdrop

* Mon Nov 10 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package


